-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 18/11/2008
-- Description:	
-- =============================================
--[C6Mart].[PROM_TuttiIPortafogli]
CREATE procedure [C6Mart].[PROM_TuttiIPortafogli_old]
	-- Add the parameters for the stored procedure here
AS
BEGIN
SELECT 
	A.Rete,
	A.CodiceFiscale,
	A.Portafoglio,
	A.CodiceProdotto,
	A.Piazza,
	A.CodiceValuta,
	A.Classe,
	CAST(A.CtvNominale AS VARCHAR(50)) AS CtvNominale,
	CAST(A.CtvReale AS VARCHAR(50))AS CtvReale
FROM(
	SELECT 
		Rete,
		CodiceFiscale,
		Portafoglio,
		CodiceProdotto,
		Piazza,
		CodiceValuta,
		Classe,
		--V Gestione CC negativo
		CASE 
			when CtvNominale < 0 then 0
			else CtvNominale
		END AS CtvNominale,
		CASE 
			when CtvReale < 0 then 0
			else CtvReale
		END AS CtvReale
	FROM  [C6Mart].[vTuttiIPortafogli]
	UNION
	SELECT 
		Rete,
		CodiceFiscale,
		REPLACE(Portafoglio,'COMPLESSIVO|BF|RISFIN|','PIRAMIDE|'),
		CodiceProdotto,
		Piazza,
		CodiceValuta,
		Classe,
		CtvNominale,
		CtvReale
	FROM  [C6Mart].[vTuttiIPortafogli]
	where PORTAFOGLIO LIKE 'COMPLESSIVO|BF|RISFIN%' 
		AND PORTAFOGLIO NOT LIKE 'COMPLESSIVO|BF|RISFIN|NA%' 
        AND PORTAFOGLIO NOT LIKE 'COMPLESSIVO|BF|CC|%'
) A
--WHERE RTRIM(LTRIM(ISNULL(A.CodiceProdotto,'$'))) <> '$'
ORDER BY 1,2,3
END